# H225_GloballyUniqueID Class Reference

`#include <h225.h>`

Inheritance diagram for H225_GloballyUniqueID:

List of all members.

## Public Member Functions

| H225_GloballyUniqueID (unsigned tag=UniversalOctetString, TagClass tagClass=UniversalTagClass)
| H225_GloballyUniqueID (const char *v)
| H225_GloballyUniqueID (const PString &v)
| H225_GloballyUniqueID (const PBYTEArray &v)
H225_GloballyUniqueID & | operator= (const char *v)
H225_GloballyUniqueID & | operator= (const PString &v)
H225_GloballyUniqueID & | operator= (const PBYTEArray &v)
PObject * | Clone () const

## Constructor & Destructor Documentation

H225_GloballyUniqueID::H225_GloballyUniqueID | ( | unsigned | tag = `UniversalOctetString`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

H225_GloballyUniqueID::H225_GloballyUniqueID | ( | const char * | v | ) |

H225_GloballyUniqueID::H225_GloballyUniqueID | ( | const PString & | v | ) |

H225_GloballyUniqueID::H225_GloballyUniqueID | ( | const PBYTEArray & | v | ) |

## Member Function Documentation

H225_GloballyUniqueID& H225_GloballyUniqueID::operator= | ( | const char * | v | ) |

Reimplemented in H225_ConferenceIdentifier.

H225_GloballyUniqueID& H225_GloballyUniqueID::operator= | ( | const PString & | v | ) |

Reimplemented in H225_ConferenceIdentifier.

H225_GloballyUniqueID& H225_GloballyUniqueID::operator= | ( | const PBYTEArray & | v | ) |

Reimplemented in H225_ConferenceIdentifier.

PObject* H225_GloballyUniqueID::Clone | ( |  | ) | const

Reimplemented in H225_ConferenceIdentifier.

The documentation for this class was generated from the following file:

- h225.h